RSAPrivateKey (Java Platform SE 8 )
Keywords: java.security.interfaces.RSAPrivateKey interface
Date: 2026-04-17

compact1, compact2, compact3
java.security.interfaces

## Interface RSAPrivateKey

- All Superinterfaces:
    Destroyable, Key, PrivateKey, RSAKey, Serializable
  All Known Subinterfaces:
    RSAMultiPrimePrivateCrtKey, RSAPrivateCrtKey

      public interface RSAPrivateKey
      extends PrivateKey, RSAKey

  The interface to an RSA private key.
  See Also:
    `RSAPrivateCrtKey`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static long` | `serialVersionUID` The type fingerprint that is set to indicate serialization compatibility with a previous version of the type.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `BigInteger` | `getPrivateExponent()` Returns the private exponent.

    - ### Methods inherited from interface java.security.Key

      `getAlgorithm, getEncoded, getFormat`

    - ### Methods inherited from interface javax.security.auth.Destroyable

      `destroy, isDestroyed`

    - ### Methods inherited from interface java.security.interfaces.RSAKey

      `getModulus, getParams`

- - ### Field Detail

    - #### serialVersionUID

          static final long serialVersionUID

      The type fingerprint that is set to indicate serialization compatibility with a previous version of the type.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getPrivateExponent

          BigInteger getPrivateExponent()

      Returns the private exponent.
      Returns:
        the private exponent

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.